body {
	background-image: url(https://blog.withcode.uk/wp-content/uploads/2016/04/background.jpg);
}

.carousel-indicators {
	background-color: rgba(0,0,0,0.5);
	border-radius: 5px;
}

.tiny-school-thumb {
	width: 2em;
}

.user-info {
	display: none;
	position: fixed;
	top: -2px;
	right: -2px;
	background-color: rgba(255,255,255,0.8);
	padding: 1em;
	border: solid 2px #000;
	border-radius: 0 0 0 10px;
}

.c-image {
	max-height: 50vh;
	margin:auto;
}

.logo {
	float: left;
	width: 100px;
}

.editor {
	position: relative;
	width: 100%;
	height: 50vh;
}

.green {
	color: green !important;
}

#keywords-feedback {
	background-color: #eddfff;
	padding: 10px;
	text-align: center;
}

.caps {
	text-transform: capitalize;
}

#keywords-scores {
	float:right;
	font-size:2em;
}

.highlighted {
	background-color: yellow;
	box-shadow: 5px 5px 5px yellow, -5px -5px 5px yellow, 5px -5px 5px yellow, -5px 5px 5px yellow;
}

#keywords-add-status {
	max-height: 50vh;
	overflow-y: scroll;
}

.regex {
	max-width: 30em;
}

.guessed {
	color: green;
}

.ok {
	background-color: green;
}

.remove {
	background-color: red;
}

.not-guessed {
	color: red;
}

#keywords-tracker {
}

.tracker-indicator {
	
	position: relative;
	left: 0.5em;
	top: -0.5em;
	-webkit-text-stroke: 1px white;
}

.tracker {
	height: 2em;
	padding: 2px;
	margin-top: 4px;
	border-radius: 5px;
}

#keywords-nav {
	text-align: center;
	font-size: 1.5em;
}

#keywords-nav span:hover {
	cursor:pointer;
}

.CodeMirror-linenumber:hover{
	color: red;
	background-color: yellow;
	box-shadow: 5px 5px 5px yellow, -5px -5px 5px yellow, 5px -5px 5px yellow, -5px 5px 5px yellow;
	cursor: pointer;
}

#keyword-definition::first-letter {
	text-transform: capitalize;
}

#keyword-definition-wrap {
	font-size: 1.5em;
	background-color: #ffd;
	text-align: center;
}

#keywords-notice {
	text-align: center;
	color: red;
}

iframe {
	height: 100vh;
}

.keyword-img {
	float: left;
	background-color: white;
	height:3em;
	margin: 1em;
}
.keyword {
	font-weight: bold;
}

.print-only {
	display: none;
}

.nowrap {
	white-space:nowrap;
}

.c-keywords {
 background-color: #e63434 !important;
	color: black !important;
	text-shadow: 1px 1px 4px #fff;
}

.c-predict {
 background-color: #f26415 !important;
	color: black !important;
	text-shadow: 1px 1px 4px #fff;
}

.c-run {
 background-color: #f1b945 !important;
	color: black !important;
	text-shadow: 1px 1px 4px #fff;
}

.c-investigate {
 background-color: #629665 !important;
	color: black !important;
	text-shadow: 1px 1px 4px #fff;
}

.c-debug {
 background-color: #0a5d93 !important;
	color: black !important;
	text-shadow: 1px 1px 4px #fff;
}

.c-extend {
 background-color: #7641a8 !important;
	color: black !important;
	text-shadow: 1px 1px 4px #fff;
}
@media print {
	.tab-content > .tab-pane {
					display: block !important;
					opacity: 1 !important;
					visibility: visible !important;
					page-break-inside: avoid;
	}
	
	iframe {
		height: 20em;
	}
	
	.no-print {
		display: none !important;
	}
	
	.print-only {
		display:unset;
	}
	
	ins {
		display: none !important;
	}
	
	#keywords-nav {
		text-align: left;
	}
}